#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%define		pdir	XML
%define		pnam	RegExp
Summary:	XML::RegExp - regular expressions for XML tokens
Summary(pl.UTF-8):	XML::RegExp - wyrażenia regularne dla tokenów XML
Name:		perl-XML-RegExp
Version:	0.04
Release:	1%{?tld}
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2e38ea2340f2d2eb56bd81c4d739fbe0
URL:		http://search.cpan.org/dist/XML-RegExp/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-libxml-enno
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains regular expressions for the following XML
tokens: BaseChar, Ideographic, Letter, Digit, Extender, CombiningChar,
NameChar, EntityRef, CharRef, Reference, Name, NmToken, and AttValue.

%description -l pl.UTF-8
Ten pakiet zawiera wyrażenia regularne dla następujących tokenów XML:
BaseChar, Ideographic, Letter, Digit, Extender, CombiningChar,
NameChar, EntityRef, CharRef, Reference, Name, NmToken oraz AttValue.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/XML/RegExp.pm
%{_mandir}/man3/*
%changelog
* Mon Apr 01 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-XML-RegExp.git;a=log;h=master

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> cd3b2a4
- drop obsolete and outdated manual inclusion of rpm macros

* Tue Jun 05 2012 Caleb Maclennan <caleb@alerque.com> c5be1d9
- Up to 0.04

* Thu Nov 17 2011 Jakub Bogusz <qboosh@pld-linux.org> 5bf2647
- added URL

* Tue Mar 04 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> a8c8324
- rel.3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d2be79d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 82f06cc
- converted to UTF-8

* Thu Aug 11 2005 radek <radek@pld-linux.org> aeae25e
- bcond_with(out) is followed by one \t, then bcond's name.

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 58e65d1
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> 3b565e3
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> cf14566
- fixed perl-devel BR

* Tue May 04 2004 ankry <ankry@pld-linux.org> 5dc1643
- kill perl-libxml-enno

* Thu Oct 09 2003 Jakub Bogusz <qboosh@pld-linux.org> f6be036
- pl, some unifications

* Mon Oct 06 2003 migo <migo@pld-linux.org> 1f9acbb
- initial release

